For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Extensions
              • POSTCreate Extension
              • GETGet Extension
              • PUTUpdate Extension
              • DELDelete Extension
Dev Portal
LogoLogo
Closed Beta ProgramsCheckout ExtensionsAPI ReferenceExtensions

Delete Extension

Beta
DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/checkouts/extensions/:extension_id
DELETE
/stores/:store_hash/v3/checkouts/extensions/:extension_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/checkouts/extensions/extension_id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes an Extension.
Was this page helpful?
Previous

Update Extension

Next

Overview

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

extension_idstringRequiredformat: "uuid"
The ID of the specific extension.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

An empty response.